using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IMachineStorage
	{
		List<MachineViewModel> GetFullList();
		List<MachineViewModel> GetFilteredList(MachineSearchModel model);
		MachineViewModel? GetElement(MachineSearchModel model);
		MachineViewModel? Insert(MachineBindingModel model);
		MachineViewModel? Update(MachineBindingModel model);
		MachineViewModel? Delete(MachineBindingModel model);
	}
}
